"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.compress = void 0;

var _core = _interopRequireDefault(require("@node-minify/core"));

var _utils = require("@node-minify/utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*!
 * node-minify
 * Copyright(c) 2011-2019 Rodolphe Stoclin
 * MIT Licensed
 */

/**
 * Module dependencies.
 */

/**
 * Run compression.
 *
 * @param {Object} options
 */
const compress = options => {
  return new Promise((resolve, reject) => {
    (0, _core.default)(options).then(() => {
      _utils.utils.getFilesizeGzippedInBytes(options.output).then(sizeGzip => {
        resolve({
          compressorLabel: options.compressorLabel,
          compressor: options.compressor,
          size: _utils.utils.getFilesizeInBytes(options.output),
          sizeGzip: sizeGzip
        });
      }).catch(reject);
    }).catch(reject);
  });
};
/**
 * Expose `compress()`.
 */


exports.compress = compress;