"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spinnerError = exports.spinnerStop = exports.spinnerStart = void 0;

var _chalk = _interopRequireDefault(require("chalk"));

var _ora = _interopRequireDefault(require("ora"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/*!
 * node-minify
 * Copyright(c) 2011-2019 Rodolphe Stoclin
 * MIT Licensed
 */

/**
 * Module dependencies.
 */
const spinner = (0, _ora.default)();
/**
 * Start spinner.
 *
 * @param {Object} options
 */

const start = options => {
  spinner.text = 'Compressing file(s) with ' + _chalk.default.green(options.compressorLabel) + '...';
  spinner.start();
};
/**
 * Stop spinner.
 *
 * @param {Object} result
 */


exports.spinnerStart = start;

const stop = result => {
  spinner.text = 'File(s) compressed successfully with ' + _chalk.default.green(result.compressorLabel) + ' (' + _chalk.default.green(result.size) + ' minified, ' + _chalk.default.green(result.sizeGzip) + ' gzipped)';
  spinner.succeed();
};
/**
 * Mark spinner as failed.
 *
 * @param {Object} options
 */


exports.spinnerStop = stop;

const error = options => {
  spinner.text = 'Error - file(s) not compressed with ' + _chalk.default.red(options.compressorLabel);
  spinner.fail();
};
/**
 * Expose `start(), stop() and error()`.
 */


exports.spinnerError = error;